Retrieve Link

Get detailed information about a shortened link.

GET/api/mobile/link

This endpoint retrieves detailed information about a link using its short link identifier.

Request Parameters

ParameterTypeRequiredDescription
shortLinkstring
Required
The unique identifier for the link

Headers

ParameterTypeRequiredDescription
api-keystring
Required
Your API key for authentication

Example Request

curl -X GET "https://shortify.com/api/mobile/link?shortLink=3v9k5a" \
  -H "api-key: your_api_key_here"

Response

200
Success
{
  "success": true,
  "data": {
    "id": "cmauyhg6f0005v1i4fwep17mt",
    "title": "Google Link",
    "url": "https://google.com",
    "domain": "shortify.com",
    "key": "3v9k5a",
    "shortLink": "https://shortify.com/3v9k5a",
    "expiresAt": null,
    "expiredUrl": null,
    "password": null,
    "clicks": 0,
    "lastClicked": null,
    "comments": null,
    "createdAt": "2025-05-19T10:42:19.815Z",
    "updatedAt": "2025-05-19T10:49:45.822Z",
    "userId": "cmas4li5w0001v1r2gg79tan7",
    "projectId": "cmauyb6c40001v1i4c098yn7h",
    "linkObjectId": "cmauyr0a70008v1i4gn269jaw",
    "linkObject": {
      "id": "cmauyr0a70008v1i4gn269jaw",
      "object": [
        {
          "key": "id",
          "value": "123"
        }
      ],
      "createdAt": "2025-05-19T10:49:45.776Z"
    },
    "tags": []
  }
}

Error Responses

400
Bad Request
{
  "success": false,
  "error": "ShortLink parameter is required"
}
404
Link Not Found
{
  "success": false,
  "error": "Requested link could not be found"
}
404
Workspace Not Found By API Key
{
  "success": false,
  "error": "Workspace Not Found..Check Your API Key!"
}